﻿using ThinkGeo.Core;
using ThinkGeo.UI.Maui;

namespace TestGoogleOnMaui
{
    public partial class MainPage : ContentPage
    {
        private bool _initialized;

        public MainPage()
        {
            InitializeComponent();
        }

        private async void MapView_OnSizeChanged(object sender, EventArgs e)
        {
            if (_initialized)
                return;
            _initialized = true;

            MapView.MapUnit = GeographyUnit.Meter;

            // Set the map extent
            MapView.CenterPoint = new RectangleShape(-10786436, 3918518, -10769429, 3906002).GetCenterPoint();
            MapView.MapScale = 34000;
            MapView.MapTools.Add(new ZoomMapTool());

            var layerOverlay = new LayerOverlay();

            var googleLayer = new ThinkGeo.Core.Async.GoogleMapsLayer("APIKey");
            googleLayer.MapType = GoogleMapsMapType.Hybrid;

            layerOverlay.Layers.Add(googleLayer);
            MapView.Overlays.Add(layerOverlay);
            await MapView.RefreshAsync();
        }
    }
}
